import 'package:niogu_app/core/models/api_response.dart';
import 'package:niogu_app/features/auth/data/models/login_response_model.dart';
import 'package:niogu_app/features/auth/domain/entities/user.dart';

abstract class IAuthRepository {
  Future<ApiResponseModel<LoginResponseModel>> login(LoginUser user);

  Future<void> register(RegisterUser register);
}
